Subject: Re: 11.0.2.10 BPR build
From: Diancui Zhou <[email-masked]>
To: Aleks Efimov <[email-masked]>
Cc: Owen Stuart <[email-masked]>, java_re_ww_grp <[email-masked]>
Date: Mon, 11 Feb 2019 22:08:32 +0800

Hi Aleksei,

Thanks for the reminder!
Let me apply the fix of 8218719 locally.

Build is kicked off.
https://java.se.oracle.com/infrabugs/browse/INFRA-15399
ETA it will be promoted in the next morning my time.

Thanks
Jerry

On 2019/2/11 19:53, Aleks Efimov wrote:
> Hi Jerry,
>
> Thank you for the answers! I've took a look at your webrev [1] and 
> have one concern here:
> We're changing default versions file in 'jdk11.0.2-bpr/open' repository.
> But according to BPR process [2] we'll need to sync the jdk11.0.2-bpr 
> changes into CPU master (jdk11u-cpu) at GA date of 11.0.3-oracle.
> Such sync will overwrite the jdk11u-cpu versions with '11.0.2.10'.  
> And thats not a right thing to do.
>
> Can we use the configure options during the build instead of changing 
> the repository default values?
> The configure options are:
>     sh ./configure.sh --with-version-build=1 --with-version-feature=11 
> --with-version-interim=0 --with-version-update=2 --with-version-patch=10
>
> If it is not an option then it will be the BPR integrator 
> responsibility not to change these files during 'jdk11.0.2-bpr' -> 
> 'jdk11u-cpu' sync. And it looks like error prone approach to me.
>
> Please, let me know you thoughts here.
>
> I've pushed 11.0.2.10 zero tags and customers fixes into jdk11.0.2-bpr 
> and it is ready for the build.
> The MOS bundles ID for this build is: 29329420
>
> With Best Regards,
> Aleksei
>
>
> [1] http://release-jdk9.us.oracle.com/webrev/8218719
> [2] 
> https://wiki.se.oracle.com/display/JPGSE/BPR+-+production+process#BPR-productionprocess-Syncoffixesintohigherupdates
>
> On 11/02/2019 01:06, Diancui Zhou wrote:
>>
>> Hi Aleksei,
>>
>> On 2019/2/11 4:11, Aleks Efimov wrote:
>>> Hi Jerry,
>>>
>>> I'm planning to send the first 11.0.2-bpr request tomorrow (11 Feb) 
>>> - it is going to be 11.0.2.10+1.
>>> Before doing that I would like to check with you about the required 
>>> steps needed for a proper 11.0.2.10+1 build:
>>>
>>> 1) We need to have `11.0.2.10+1` as version of the build. Will it be 
>>> enough to mention it in build request?
>> Yes, it is enough
>>>
>>> 2) Do we need to log JDK11 build request bug? If yes then can you, 
>>> please, share an example?
>>>
>> No, we need not
>> When it is ready, please send me an email. I will go on.
>>> 3) How can we make sure that the java version output will have the 
>>> correct version, build number and date? Something like:
>>>
>>>     java version "11.0.2.10" 2019-01-15 LTS
>>>     Java(TM) SE Runtime Environment 18.9 (build 11.0.2.10+1-LTS)
>>>     Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11.0.2.10+1-LTS,
>>>     mixed mode)
>>>
>> I filed https://bugs.openjdk.java.net/browse/JDK-8218719 for 1) and 3)
>> I will integrate it before kick off promotion build
>>>
>>>
>>> 4) Also I've added jdk-11.0.2.10+0 tags to the forest (alongside to 
>>> the customers bugs):
>>>
>>>     [/home/aefimov/Oracle/BPR/jdk11.0.2-bpr]:
>>>     comparing with
>>>     http://closedjdk.us.oracle.com/jdk-updates/jdk11.0.2-bpr
>>>     searching for changes
>>>     changeset:   29360:16f0499c70e9
>>>     tag:         tip
>>>     user:        aefimov
>>>     date:        Thu Feb 07 14:45:12 2019 +0000
>>>     summary:     Added tag jdk-11.0.2.10+0 for changeset 9fba4db25b62
>>>
>>>
>>>     [/home/aefimov/Oracle/BPR/jdk11.0.2-bpr/open]:
>>>     comparing with
>>>     http://closedjdk.us.oracle.com/jdk-updates/jdk11.0.2-bpr/open
>>>     searching for changes
>>>     changeset:   51464:792b0bba393f
>>>     user:        aefimov
>>>     date:        Thu Feb 07 14:45:15 2019 +0000
>>>     summary:     Added tag jdk-11.0.2.10+0 for changeset 0a8cde5d5ceb
>>>
>>>     changeset:   51465:88a4eedbe0c4
>>>     user:        lancea
>>>     date:        Sun Oct 07 14:35:00 2018 -0400
>>>     summary:     8211765: JarFile constructor throws undocumented
>>>     exception
>>>
>>>     changeset:   51466:0ff03bc9fdc3
>>>     tag:         tip
>>>     user:        igerasim
>>>     date:        Wed Jan 30 20:15:22 2019 -0800
>>>     summary:     8209055:
>>>     c.s.t.javac.code.DeferredCompletionFailureHandler seems to use
>>>     WeakHashMap incorrectly
>>>
>>> Will it be enough for RE build system (I guess it is Mach5?)? Or we 
>>> might need to push jdk-11.0.2.10+1 tag too?
>> Yes, it is enough. Please *ONLY* tag jdk-11.0.2.10+0.
>> I will do promotion build, after it, I will tag jdk-11.0.2.10+1
>>>
>>> Thank you and Best Regards,
>>> Aleksei
>